module Kernel
  PURGED_ENV = {
    'GIT_DIR' => nil,
    'GEM_HOME' => nil,
    'GEM_PATH' => nil,
    'BUNDLE_BIN_PATH' => nil,
    'BUNDLE_GEMFILE' => nil,
    'RUBYOPT' => nil
  }

  def system!(cmd_line)
    succeeded = system(PURGED_ENV, cmd_line)
    raise SystemCallError.new(nil, $?.exitstatus) unless succeeded
    true
  end
end